import * as i0 from '@angular/core';
import { EventEmitter, Component, ViewEncapsulation, Output, Input, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';

class EntityComponent {
    constructor() {
        this.toggleChild = new EventEmitter();
        this.hasParent = false;
    }
    toggleShowChild() {
        this.toggleChild.emit();
    }
    onClick() {
        if (this.data && this.data.onClick) {
            this.data.onClick();
        }
    }
}
EntityComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: EntityComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
EntityComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.2.1", type: EntityComponent, selector: "org-chart-entity", inputs: { data: "data", hasParent: "hasParent", hideChild: "hideChild" }, outputs: { toggleChild: "toggleChild" }, ngImport: i0, template: "<div class=\"ng13-org-chart-entity-connector ng13-org-chart-entity-border\" *ngIf=\"hasParent\"></div>\n<div (click)=\"onClick()\" [class]=\"data?.cssClass\" class=\"ng13-org-chart-entity-box\" [style]=\"data?.css\">\n    <div class=\"ng13-org-chart-entity-name\" [style]=\"data?.nameCss\">{{data?.name}}</div>\n    <div class=\"ng13-org-chart-entity-type\" [style]=\"data?.typeCss\">{{data?.type}}</div>\n</div>\n<div class=\"ng13-org-chart-entity-connector ng13-org-chart-entity-border\" *ngIf=\"data?.children.length && !hideChild\"></div>\n", styles: ["angular-org-chart{display:inline-flex;position:relative;flex-direction:column;align-items:center;flex-wrap:wrap;padding-bottom:5px}org-chart-entity{margin:0 1em;display:flex;flex-direction:column;align-items:center;transition:margin .25s}.ng13-org-chart-entity-border{border-left:1px solid #800000;border-top:1px solid #800000}.ng13-org-chart-zoom-button-container{position:absolute;top:0;left:0}.ng13-org-chart-sub-container{display:flex;flex-direction:column}.ng13-org-chart-container{display:flex;flex:1}.ng13-org-chart-connector{flex:1}.ng13-org-chart-connector-container{display:flex}.ng13-org-chart-entity-name{white-space:nowrap;color:#fff;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-type{white-space:nowrap;color:#fff;font-size:10px;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-connector{height:2em;transition:height .25s}.ng13-org-chart-entity-box{position:relative;padding:.25em .5em;display:flex;flex-direction:column;align-items:center;border:1px solid #0070b0;background-color:#0070b0;border-radius:8px;cursor:pointer;box-shadow:0 .5rem 1rem #777!important;max-width:500px;max-height:500px;min-width:32px;min-height:32px;overflow:hidden;transition:max-width .25s,max-height .25s,border-radius .25s,padding .25s,margin .25s}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box{max-width:32px;max-height:32px;border-radius:50%;margin:0;padding:0}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-name{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-type{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover{padding:.25em .5em;border-radius:8px;max-width:500px;max-height:500px;cursor:none}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-name{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-type{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-connector{height:.5em}.ng13-org-chart-zoom-out org-chart-entity{margin:0 .5em}\n"], directives: [{ type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: EntityComponent, decorators: [{
            type: Component,
            args: [{ selector: 'org-chart-entity', encapsulation: ViewEncapsulation.None, template: "<div class=\"ng13-org-chart-entity-connector ng13-org-chart-entity-border\" *ngIf=\"hasParent\"></div>\n<div (click)=\"onClick()\" [class]=\"data?.cssClass\" class=\"ng13-org-chart-entity-box\" [style]=\"data?.css\">\n    <div class=\"ng13-org-chart-entity-name\" [style]=\"data?.nameCss\">{{data?.name}}</div>\n    <div class=\"ng13-org-chart-entity-type\" [style]=\"data?.typeCss\">{{data?.type}}</div>\n</div>\n<div class=\"ng13-org-chart-entity-connector ng13-org-chart-entity-border\" *ngIf=\"data?.children.length && !hideChild\"></div>\n", styles: ["angular-org-chart{display:inline-flex;position:relative;flex-direction:column;align-items:center;flex-wrap:wrap;padding-bottom:5px}org-chart-entity{margin:0 1em;display:flex;flex-direction:column;align-items:center;transition:margin .25s}.ng13-org-chart-entity-border{border-left:1px solid #800000;border-top:1px solid #800000}.ng13-org-chart-zoom-button-container{position:absolute;top:0;left:0}.ng13-org-chart-sub-container{display:flex;flex-direction:column}.ng13-org-chart-container{display:flex;flex:1}.ng13-org-chart-connector{flex:1}.ng13-org-chart-connector-container{display:flex}.ng13-org-chart-entity-name{white-space:nowrap;color:#fff;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-type{white-space:nowrap;color:#fff;font-size:10px;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-connector{height:2em;transition:height .25s}.ng13-org-chart-entity-box{position:relative;padding:.25em .5em;display:flex;flex-direction:column;align-items:center;border:1px solid #0070b0;background-color:#0070b0;border-radius:8px;cursor:pointer;box-shadow:0 .5rem 1rem #777!important;max-width:500px;max-height:500px;min-width:32px;min-height:32px;overflow:hidden;transition:max-width .25s,max-height .25s,border-radius .25s,padding .25s,margin .25s}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box{max-width:32px;max-height:32px;border-radius:50%;margin:0;padding:0}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-name{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-type{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover{padding:.25em .5em;border-radius:8px;max-width:500px;max-height:500px;cursor:none}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-name{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-type{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-connector{height:.5em}.ng13-org-chart-zoom-out org-chart-entity{margin:0 .5em}\n"] }]
        }], propDecorators: { toggleChild: [{
                type: Output
            }], data: [{
                type: Input
            }], hasParent: [{
                type: Input
            }], hideChild: [{
                type: Input
            }] } });

class OrgChartComponent {
    constructor() {
        this.hasParent = false;
        this.hideChild = false;
        this.zoomOut = false;
    }
    toggleShowChild() {
        this.hideChild = !this.hideChild;
    }
    toggleZoom() {
        this.zoomOut = !this.zoomOut;
    }
}
OrgChartComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: OrgChartComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OrgChartComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.2.1", type: OrgChartComponent, selector: "angular-org-chart", inputs: { data: "data", hasParent: "hasParent" }, host: { properties: { "class.ng13-org-chart-zoom-out": "zoomOut" } }, exportAs: ["orgChart"], ngImport: i0, template: "<org-chart-entity *ngIf=\"data\" [data]=\"data\" [hasParent]=\"hasParent\" (toggleChild)=\"toggleShowChild()\" [hideChild]=\"hideChild\"></org-chart-entity>\n<div class=\"ng13-org-chart-container\" [style.display]=\"hideChild ? 'none' : 'flex'\">\n\t<ng-container *ngFor=\"let data of data?.children; first as isFirst; last as isLast\">\n\t\t<div class=\"ng13-org-chart-sub-container\">\n\t\t\t<div class=\"ng13-org-chart-connector-container\">\n\t\t\t\t<div class=\"ng13-org-chart-connector ng13-org-chart-entity-border\" [style.border-color]=\"isFirst?'transparent':''\"></div>\n\t\t\t\t<div class=\"ng13-org-chart-entity-border\"></div>\n\t\t\t\t<div class=\"ng13-org-chart-connector ng13-org-chart-entity-border\" [style.border-color]=\"isLast?'transparent':''\"></div>\n\t\t\t</div>\n\t\t\t<angular-org-chart [data]=\"data\" [hasParent]=\"true\"></angular-org-chart>\n\t\t</div>\n\t</ng-container>\n</div>\n<div class=\"ng13-org-chart-zoom-button-container\">\n    <ng-content select=\"[zoom-button]\"></ng-content>\n</div>\n", styles: ["angular-org-chart{display:inline-flex;position:relative;flex-direction:column;align-items:center;flex-wrap:wrap;padding-bottom:5px}org-chart-entity{margin:0 1em;display:flex;flex-direction:column;align-items:center;transition:margin .25s}.ng13-org-chart-entity-border{border-left:1px solid #800000;border-top:1px solid #800000}.ng13-org-chart-zoom-button-container{position:absolute;top:0;left:0}.ng13-org-chart-sub-container{display:flex;flex-direction:column}.ng13-org-chart-container{display:flex;flex:1}.ng13-org-chart-connector{flex:1}.ng13-org-chart-connector-container{display:flex}.ng13-org-chart-entity-name{white-space:nowrap;color:#fff;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-type{white-space:nowrap;color:#fff;font-size:10px;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-connector{height:2em;transition:height .25s}.ng13-org-chart-entity-box{position:relative;padding:.25em .5em;display:flex;flex-direction:column;align-items:center;border:1px solid #0070b0;background-color:#0070b0;border-radius:8px;cursor:pointer;box-shadow:0 .5rem 1rem #777!important;max-width:500px;max-height:500px;min-width:32px;min-height:32px;overflow:hidden;transition:max-width .25s,max-height .25s,border-radius .25s,padding .25s,margin .25s}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box{max-width:32px;max-height:32px;border-radius:50%;margin:0;padding:0}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-name{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-type{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover{padding:.25em .5em;border-radius:8px;max-width:500px;max-height:500px;cursor:none}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-name{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-type{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-connector{height:.5em}.ng13-org-chart-zoom-out org-chart-entity{margin:0 .5em}\n"], components: [{ type: EntityComponent, selector: "org-chart-entity", inputs: ["data", "hasParent", "hideChild"], outputs: ["toggleChild"] }, { type: OrgChartComponent, selector: "angular-org-chart", inputs: ["data", "hasParent"], exportAs: ["orgChart"] }], directives: [{ type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: OrgChartComponent, decorators: [{
            type: Component,
            args: [{ selector: 'angular-org-chart', exportAs: 'orgChart', host: {
                        '[class.ng13-org-chart-zoom-out]': 'zoomOut'
                    }, encapsulation: ViewEncapsulation.None, template: "<org-chart-entity *ngIf=\"data\" [data]=\"data\" [hasParent]=\"hasParent\" (toggleChild)=\"toggleShowChild()\" [hideChild]=\"hideChild\"></org-chart-entity>\n<div class=\"ng13-org-chart-container\" [style.display]=\"hideChild ? 'none' : 'flex'\">\n\t<ng-container *ngFor=\"let data of data?.children; first as isFirst; last as isLast\">\n\t\t<div class=\"ng13-org-chart-sub-container\">\n\t\t\t<div class=\"ng13-org-chart-connector-container\">\n\t\t\t\t<div class=\"ng13-org-chart-connector ng13-org-chart-entity-border\" [style.border-color]=\"isFirst?'transparent':''\"></div>\n\t\t\t\t<div class=\"ng13-org-chart-entity-border\"></div>\n\t\t\t\t<div class=\"ng13-org-chart-connector ng13-org-chart-entity-border\" [style.border-color]=\"isLast?'transparent':''\"></div>\n\t\t\t</div>\n\t\t\t<angular-org-chart [data]=\"data\" [hasParent]=\"true\"></angular-org-chart>\n\t\t</div>\n\t</ng-container>\n</div>\n<div class=\"ng13-org-chart-zoom-button-container\">\n    <ng-content select=\"[zoom-button]\"></ng-content>\n</div>\n", styles: ["angular-org-chart{display:inline-flex;position:relative;flex-direction:column;align-items:center;flex-wrap:wrap;padding-bottom:5px}org-chart-entity{margin:0 1em;display:flex;flex-direction:column;align-items:center;transition:margin .25s}.ng13-org-chart-entity-border{border-left:1px solid #800000;border-top:1px solid #800000}.ng13-org-chart-zoom-button-container{position:absolute;top:0;left:0}.ng13-org-chart-sub-container{display:flex;flex-direction:column}.ng13-org-chart-container{display:flex;flex:1}.ng13-org-chart-connector{flex:1}.ng13-org-chart-connector-container{display:flex}.ng13-org-chart-entity-name{white-space:nowrap;color:#fff;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-type{white-space:nowrap;color:#fff;font-size:10px;text-transform:capitalize;-webkit-user-select:none;user-select:none}.ng13-org-chart-entity-connector{height:2em;transition:height .25s}.ng13-org-chart-entity-box{position:relative;padding:.25em .5em;display:flex;flex-direction:column;align-items:center;border:1px solid #0070b0;background-color:#0070b0;border-radius:8px;cursor:pointer;box-shadow:0 .5rem 1rem #777!important;max-width:500px;max-height:500px;min-width:32px;min-height:32px;overflow:hidden;transition:max-width .25s,max-height .25s,border-radius .25s,padding .25s,margin .25s}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box{max-width:32px;max-height:32px;border-radius:50%;margin:0;padding:0}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-name{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box>.ng13-org-chart-entity-type{visibility:hidden}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover{padding:.25em .5em;border-radius:8px;max-width:500px;max-height:500px;cursor:none}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-name{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-box:hover>.ng13-org-chart-entity-type{visibility:visible}.ng13-org-chart-zoom-out .ng13-org-chart-entity-connector{height:.5em}.ng13-org-chart-zoom-out org-chart-entity{margin:0 .5em}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { data: [{
                type: Input
            }], hasParent: [{
                type: Input
            }] } });

class OrgChartModule {
}
OrgChartModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: OrgChartModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
OrgChartModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: OrgChartModule, declarations: [OrgChartComponent, EntityComponent], imports: [CommonModule], exports: [OrgChartComponent] });
OrgChartModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: OrgChartModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.1", ngImport: i0, type: OrgChartModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule
                    ],
                    declarations: [OrgChartComponent, EntityComponent],
                    exports: [
                        OrgChartComponent
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { OrgChartComponent, OrgChartModule };
//# sourceMappingURL=angular13-organization-chart.mjs.map
